Subject: Re: [PATCH] arm: gen-mach-types: don't include absolute filename

From: Uwe Kleine-König <[email-masked]>
Date: Wed, 3 Jun 2026 17:09:42 +0200

Hello Sascha,

On Wed, Jun 03, 2026 at 04:12:10PM +0200, Sascha Hauer wrote:
> mach-types.h is part of the kapi and as such shipped in the
> linux-headers package. The embedded build path makes that package
> non-reproducible without going through an extra step of normalizing the
> path. YOCTO has similar problems in the kernel debug source package.
> 
> Make the path relative to the kernel source tree which is enough to
> find the tool that has generated the file.
> 
> Signed-off-by: Sascha Hauer <[email-masked]>

Compared to my old patch this is simpler, I like it.

Acked-by: Uwe Kleine-König <[email-masked]>

Thanks
Uwe